For the complete documentation index, see llms.txt. This page is also available as Markdown.

Glad

get
Authorizations
AuthorizationstringRequired
Responses
200Success
application/json
namestringOptional
listIDinteger · int64Optional
clientIDstringOptional
descriptionstringOptional
maxItemsinteger · int64Optional
itemsinteger · int64Optional
wardenWhitelistinteger · int64Optional
wardenBlacklistinteger · int64Optional
get/lists
GET /api/lists HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "name": "text",
    "listID": 1,
    "clientID": "text",
    "description": "text",
    "maxItems": 1,
    "items": 1,
    "wardenWhitelist": 1,
    "wardenBlacklist": 1
  }
]
get
Authorizations
AuthorizationstringRequired
Path parameters
idanyRequired
Responses
200Success
application/json
ipstringOptional
prefixinteger · int64Optional
listIdinteger · int64Optional
updatedstringOptional
expiresstringOptional
get/lists/{id}
GET /api/lists/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "ip": "text",
    "prefix": 1,
    "listId": 1,
    "updated": "text",
    "expires": "text"
  }
]
post
Authorizations
AuthorizationstringRequired
Path parameters
idanyRequired
Bodyobject · gladAddIPSpec[]
expiresstringOptional

Expiry date in RFC3339Z format.

Example: 2020-04-31T19:04:55Z
ipstringOptional

IP v4 address

Example: 1.2.3.4
prefixinteger · int64Optional

Any network prefix that is > 8 and <= 32

Example: 32
Responses
200

A successful response.

application/json
objectOptional
post/lists/{id}
POST /api/lists/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 63

[
  {
    "expires": "2020-04-31T19:04:55Z",
    "ip": "1.2.3.4",
    "prefix": 32
  }
]
{}
get
Authorizations
AuthorizationstringRequired
Responses
200Success
application/json
ipstringOptional
prefixinteger · int64Optional
descriptionstringOptional
tenant-idinteger · int64Optional
enabledbooleanOptional
portsstring[]Optional
prevention-modebooleanOptional
tcp-establishedbooleanOptional
protocolstringOptional
udp-gl-ppsstring · uint64Optional
tcp-gl-ppsstring · uint64Optional
dpi-profilestringOptional
reject-src-port-1024booleanOptional
get/warden/armors
GET /api/warden/armors HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "ip": "text",
    "prefix": 1,
    "description": "text",
    "tenant-id": 1,
    "enabled": true,
    "ports": [
      "text"
    ],
    "prevention-mode": true,
    "tcp-established": true,
    "protocol": "text",
    "udp-gl-pps": "text",
    "tcp-gl-pps": "text",
    "dpi-profile": "text",
    "reject-src-port-1024": true
  }
]
put
Authorizations
AuthorizationstringRequired
Bodyobject · gladArmor[]
ipstringOptional
prefixinteger · int64Optional
descriptionstringOptional
tenant-idinteger · int64Optional
enabledbooleanOptional
portsstring[]Optional
prevention-modebooleanOptional
tcp-establishedbooleanOptional
protocolstringOptional
udp-gl-ppsstring · uint64Optional
tcp-gl-ppsstring · uint64Optional
dpi-profilestringOptional
reject-src-port-1024booleanOptional
Responses
200

A successful response.

application/json
objectOptional
put/warden/armors
PUT /api/warden/armors HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 246

[
  {
    "ip": "text",
    "prefix": 1,
    "description": "text",
    "tenant-id": 1,
    "enabled": true,
    "ports": [
      "text"
    ],
    "prevention-mode": true,
    "tcp-established": true,
    "protocol": "text",
    "udp-gl-pps": "text",
    "tcp-gl-pps": "text",
    "dpi-profile": "text",
    "reject-src-port-1024": true
  }
]
{}
delete
Authorizations
AuthorizationstringRequired
Bodyobject · gladArmor[]
ipstringOptional
prefixinteger · int64Optional
descriptionstringOptional
tenant-idinteger · int64Optional
enabledbooleanOptional
portsstring[]Optional
prevention-modebooleanOptional
tcp-establishedbooleanOptional
protocolstringOptional
udp-gl-ppsstring · uint64Optional
tcp-gl-ppsstring · uint64Optional
dpi-profilestringOptional
reject-src-port-1024booleanOptional
Responses
200

A successful response.

application/json
objectOptional
delete/warden/armors
DELETE /api/warden/armors HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 246

[
  {
    "ip": "text",
    "prefix": 1,
    "description": "text",
    "tenant-id": 1,
    "enabled": true,
    "ports": [
      "text"
    ],
    "prevention-mode": true,
    "tcp-established": true,
    "protocol": "text",
    "udp-gl-pps": "text",
    "tcp-gl-pps": "text",
    "dpi-profile": "text",
    "reject-src-port-1024": true
  }
]
{}

Last updated

Was this helpful?